/****************************************************************************/
/*																			*/
/*	Module:			mb_fpp_io.h	(MicroBlaster FPP)							*/	
/*																			*/
/*					Copyright (C) Altera Corporation 2003					*/
/*																			*/
/*	Descriptions:	Defines all IO control functions. Operating system		*/
/*					is defined here. Functions are operating system 		*/
/*					dependent.												*/
/*																			*/
/*	Revisions:		1.0	2/28/03 Shee Kian Wong								*/
/*																			*/
/*																			*/
/****************************************************************************/

#ifndef INC_MB_IO_H
#define INC_MB_IO_H

#ifndef WINDOWS_NT
#define WINDOWS_NT	1
#endif

#ifndef EMBEDDED
/* define your OS here */
#define EMBEDDED	2
#endif

#ifndef PORT
#define PORT		WINDOWS_NT
#endif


/*///////////////////////*/
/* Functions Prototyping */
/*///////////////////////*/

int		ReadPort		( int port );
void	FlushPort		( int port, int data );
void	Dump2PortIO		( int port, int data );

#if PORT == WINDOWS_NT

void	CloseNtDriver		( void );
void	InitNtDriver		( void );

int		fopen_rbf			( char*, char* );
int		fclose_rbf			( int file_id );
int		fseek_rbf			( int, int, int );
int		ftell_rbf			( int finputid );
int		fgetc_rbf			( int finputid );

#else if PORT == EMBEDDED
/* put your driver initializating, closing and flushing codes here */
#endif /* PORT == WINDOWS_NT */

#endif /* INC_MB_IO_H */